/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ["./**/*.{html,js}"],
  theme: {
    fontFamily: {
      'Poppins': ['Poppins', 'sans-serif'],
      'Open-sans': ['Open Sans', 'sans-serif'],
    },
    fontSize: {
      'fs-12': '12px',
      'fs-13': '13px',
      'fs-14': '14px',
      'fs-15': '15px',
      'fs-16': '16px',
      'fs-18': '18px',
      'fs-19': '19px',
      'fs-20': '20px',
      'fs-21': '21px',
      'fs-26': '26px',
      'fs-28': '28px',
      'fs-29': '29px',
      'fs-33': '33px',
      'fs-38': '38px',
      'fs-39': '39px',
      'fs-40': '40px',
      'fs-42': '42px',
      'fs-50': '50px',
      'fs-51': '51px',
      'fs-56': '56px',
      'fs-110': '110px',
      'fs-180': '180px',
    },
    letterSpacing: {
      '10': '10px',
    },
    borderRadius: {
      'none': '0',
      'sm': '0.125rem',
      'md': '0.375rem',
      'lg': '0.5rem',
      'full': '9999px',
      'large': '12px',
      '5': '5px',
      '4': '4px',
      '3': '3px',
      '10': '10px',
      '20': '20px',
      '30': '30px'
    },
    extend: {
      transitionDuration: {
        '250': '250ms',
      },
      transformOrigin: {
        '0': '0',
        '5px-0': '5px 0',
        '0-100': '0 100%',
      },
      transitionDelay: {
        '2000': '2000ms',
      },
      transitionTimingFunction: {
        'menu-mobile': 'cubic-bezier(0.77,0.2,0.05,1.0)',
      },
      keyframes: {
        animateline: {
          '0%': { height: '0' },
          '100%': { height: '100%' },
        },
        animatebgline: {
          '0%': { transform: 'translateY(-100%)' },
          '100%': { transform: 'translateY(200%)' },
        },
        finishanimation: {
          '0%': { width: '50%' },
          '100%': { width: '0' },
        },
      },
      animation: {
        animateline: 'animateline 1000ms ease-in-out 0s forwards',
        animatebgline: 'animatebgline 1200ms linear 0s infinite',
        finishanimation: 'finishanimation 500ms ease-in-out 500ms forwards',
      },
      zIndex: {
        '100': '100',
      },
      scale: {
        '0-2': '.2',
      },
      lineHeight: {
        'lh-0.7': '0.7',
        'lh-1.2': '1.2',
        'lh-1.4': '1.4',
        'lh-1.6': '1.6',
        'lh-21': '21px',
        'lh-26': '26px',
        'lh-30': '30px',
        'lh-35': '35px',
        'lh-39': '39px',
        'lh-40': '40px',
        'lh-42': '42px',
        'lh-45': '45px',
        'lh-46': '46px',
        'lh-48': '48px',
        'lh-50': '50px',
        'lh-52': '52px',
        'lh-62': '62px',
      },
      maxWidth: {
        '40prcent': '40%',
        '450': '450px',
        '550': '550px',
        '1140': '1140px',
        '960': '960px',
        '720': '720px',
        '700': '700px',
        '540': '540px',
      },
      rotate: {
        '15': '15deg',
      },
      colors: {
        'black': '#111',
        'black-2': '#2b2a2a',
        'black-3': '#252525',
        'black-4': '#333',
        'black-5': '#777',
        'black-7': '#888',
        'black-6': '#666',
        'light-grey-2': 'rgba(30, 37, 48, 0.07)',
        'placeholder': '#757575',
        'light-grey': '#eee',
        'success': '#28a745',
        'error': '#dc3545',
        'light-grey-3': '#f2f2f2',
        'grey': '#ddd',
        'slideshow': 'rgba(0,0,0,0.85)',
        'light-slideshow':'rgba(0,0,0,0.7)',
        'light-slideshow-after':'rgba(255,255,255,0.77)',
        'muted': 'rgba(255, 255, 255, 0.07)',
      },
      spacing: {
        '0': '0',
        '1': '1px',
        '2': '2px',
        '3': '3px',
        '4': '4px',
        '5': '5px',
        '6': '6px',
        '7': '7px',
        '8': '8px',
        '9': '9px',
        '10': '10px',
        '11': '11px',
        '12': '12px',
        '13': '13px',
        '14': '14px',
        '15': '15px',
        '16': '16px',
        '18': '18px',
        '19': '19px',
        '20': '20px',
        '21': '21px',
        '22': '22px',
        '23': '23px',
        '24': '24px',
        '25': '25px',
        '26': '26px',
        '27': '27px',
        '28': '28px',
        '29': '29px',
        '30': '30px',
        '32': '32px',
        '35': '35px',
        '36': '36px',
        '40': '40px',
        '43': '43px',
        '45': '45px',
        '46': '46px',
        '48': '48px',
        '49': '49px',
        '50': '50px',
        '54': '54px',
        '55': '55px',
        '60': '60px',
        '62': '62px',
        '65': '65px',
        '70': '70px',
        '80': '80px',
        '85': '85px',
        '100': '100px',
        '102': '102px',
        '160': '160px',
        '200': '200px',
        '270': '270px',
        '230': '230px',
        '250': '250px',
        '280': '280px',
        '330': '330px',
        '660': '660px',
        '100/3': '33.333333%',
        '83prcnt': '83%',
        '200prcnt': '200%',
      },
      boxShadow: {
        '1': '0 0 7px rgba(0,0,0,.9)',
        '2': '0 0 7px rgba(0,0,0,.3)',
      },
    },
    screens: {
      'sm': {'min': '577px', 'max': '767px'},
      'down-xl': {'max': '1200px'},
      'down-sm': {'max': '767px'},
      'from-sm': {'min': '768px'},
      'md': {'min': '768px', 'max': '991px'},
      'down-md': {'max': '991px'},
      'lg': {'min': '992px', 'max': '1199px'},
      'from-lg': {'min': '992px'},
      'down-lg': {'max': '991px'},
      'xl': {'min': '1200px'},
      'xxxl': {'min': '1600px'},
      'xxl': {'min': '1351px'},
      'custom-md-1': {'min': '992px', 'max': '1100px'},
      'custom-md-2': {'min': '992px', 'max': '1199px'},
      'custom-md-3': {'min': '992px', 'max': '1350px'},
      'xs': {'max': '576px'},
    }
  },
  plugins: [],
}
